# SCATTER-V2 options

This file contains all of the options of SCATTER V2 in random order, without any structure. Refer to the main help file for a better guide.

## SECSTR

Syntax:
  SECSTR integer

Specifies the column where the secondary structure can be found. This makes a secondary structure plot, assuming that all residues are given in order, and secondary structure is given as 'H'/'3' for helix, 'S'/'E' for strand, and any other symbol for coil and loop. Works best if all Y values for all points are equal.

## XSIXTY

Syntax:
  XSIXTY

Change the ticks at the X axis such that 60's are longer instead of 5's. This makes it easier to recognise nice angles.

## YSIXTY

Syntax:
  YSIXTY

Change the ticks at the Y axis such that 60's are longer instead of 5's. This makes it easier to recognise nice angles.

## APPEND

Syntax:
  APPEND

If this option is specified, no new Xfig file is created. Instead, the new information is appended to one that already exists.

## NOPUB

Syntax:
  NOPUB

Misnomer. If this option is specified, the axis divisions are left out of the plot (No Publication...)

## NOTITLE

Syntax:
  NOTITLE

If this option is specified, the title of the plot containing information about username, time, input file, and number of data points is omitted from the output.

## RANK

Syntax:
  RANK

Specify that a rank correlation should be calculated. Which values are calculated is dependent on the size of the data set. Many values are followed by a Prob: the probability that this level of correlation is reached for a random data set of the same size.

## NOAX

Syntax:
  NOAX

Specify that the axes should not be extended to make nice round numbers at the ends.

## FULLNUM

Syntax:
  FULLNUM

Specify that the numbers at the ends of the axes should not be divided by a suitable power of 10, but instead used verbatim.

## AXDIV

Syntax:
  AXDIV integer

Maximum number of divisions on the axes. This has influence on the maximum numbers at the end of the axes and the power of 10 used to divide them.

## REVX

Syntax:
  REVX

Specifies that the X-axis should be reversed. that is: the numbers along the X axis should run from high to low.

## REVY

Syntax:
  REVY

Specifies that the Y-axis should be reversed. that is: the numbers along the Y axis should run from high to low.

## SPACE

Syntax:
  SPACE float

Percentage of extra space to allow at all 4 ends of the plot.

## ERX

Syntax:
  ERX float

Fixed standard deviation in all X coordinates.

## RHO

Syntax:
  RHO float

Correlation between the standard deviation in X and the standard deviation in Y. Needed for a robust fit, default set at 0.0

## ERY

Syntax:
  ERY float

Fixed standard deviation in all Y coordinates.

## NSDX

Syntax:
  NSDX integer
Alternative:
  SDX

Number of the column in the input file where the standard deviation in the X coordinate can be found. Default: no standard deviation in X.

## XMOD

Syntax:
  XMOD float

Specify that values of X=X0 and X=X0+float are actually identical (like 1 and 25 hours on a clock). If the FOLD option is not given, scatter will change the data read such that any two subsequent points are less than MOD/2 apart. So: if you are reading a sequence of torsion angles using 'XMOD 360', and the values in subsequent lines are '178 179 179.5 -179 179', scatter will plot the values as '178 179 179.5 181 179' too keep the values as close together as possible.

## YMOD

Syntax:
  YMOD float

Specify that values of Y=Y0 and Y=Y0+float are actually identical (like 1 and 25 hours on a clock). If the FOLD option is not given, scatter will change the data read such that any two subsequent points are less than MOD/2 apart. So: if you are reading a sequence of torsion angles using 'XMOD 360', and the values in subsequent lines are '178 179 179.5 -179 179', scatter will plot the values as '178 179 179.5 181 179' too keep the values as close together as possible.

## FOLD

Syntax:
  FOLD

Tell SCATTER to try and FOLD the X and Y values, such that all X values are between -XMOD/2 and XMOD/2 and all Y values between -YMOD/2 and YMOD/2

## SAMELENGTH

Syntax:
  SAMELENGTH

Make all ticks along the axes equal sized.

## ROBUST

Syntax:
  ROBUST

Perform a robust fit, taking standard deviations in X into account.

## NSDY

Syntax:
  NSDY integer
Alternative:
  SDY

Number of the column in the input file where the standard deviation in the Y coordinate can be found. Default: no standard deviation in Y.

## SX

Syntax:
  SX float

When determining the scale of the plot, SX is used instead of the lowest X value. Values thus falling outside the plot will be "clipped".

## SY

Syntax:
  SY float

When determining the scale of the plot, SY is used instead of the lowest Y value. Values thus falling outside the plot will be "clipped".

## SR

Syntax:
  SR float

When determining the scale of the plot, SR is used instead of the lowest R value. Values thus falling outside the plot will be "clipped".

## EX

Syntax:
  EX float

When determining the scale of the plot, EX is used instead of the highest X value. Values thus falling outside the plot will be "clipped".

## EY

Syntax:
  EY float

When determining the scale of the plot, EY is used instead of the highest Y value. Values thus falling outside the plot will be "clipped".

## DX

Syntax:
  DX float

When determining the scale of the plot, SX+DX is used instead of the highest X value. Values thus falling outside the plot will be "clipped".

## DY

Syntax:
  DY float

When determining the scale of the plot, SY+DY is used instead of the highest Y value. Values thus falling outside the plot will be "clipped".

## CSL

Syntax:
  CSL

Copy selected lines to output file 45. This file will normally be called fort.45

## LSQ

Syntax:
  LSQ

Perform least squares fit without drawing the line.

## SCUMAV

Syntax:
  SCUMAV float

Rescale the plot to the cumulative average +/- float.

## LCUMAV

Syntax:
  LCUMAV

## TIC

Syntax:
  TIC

Specifies that the first line of the datafile contains one-word names for each of the columns in the data.

## TEX

Syntax:
  TEX

Give the powers of 10 in the axis labels as LaTeX math environments.

## FFT

Syntax:
  FFT

Perform a FFT on the data. Requires that you use 0 for NX. Automatically extends the data with ample 0.0 values at both ends to get a proper frequency spectrum.

## PFFT

Syntax:
  PFFT

Perform a periodic FFT on the data. Requires that you use 0 for NX, and needs a power of 2 as the number of data points. No extention of the data at either end is performed.

## ACF

Syntax:
  ACF

Calculate the auto correlation function of the data. Requires that you use 0 for NX.

## NOTEXT

Syntax:
  NOTEXT

Show no text at all in the plot.

## CUMAV

Syntax:
  CUMAV

Calculate cumulative averages.

## CUMSUM

Syntax:
  CUMSUM

Calculate cumulative sums.

## THOR

Syntax:
  THOR

Typeset all text horizontally. Without this option, the text along the Y axis will be rotated by 90 degrees.

## LSQL

Syntax:
  LSQL

Calculate a linear least squares fit, and draw a line representing the fit.

## POLY

Syntax:
  POLY integer

Calculate a polynomial least squares fit of order integer, and draw a line representing the fit.

## LOGX

Syntax:
  LOGX

Take the log of the X values before drawing. Use LOGLOG if you want LOGX LOGY

## LOGY

Syntax:
  LOGY

Take the log of the Y values before drawing. Use LOGLOG if you want LOGX LOGY

## LOGR

Syntax:
  LOGR

Take the log of the R values before drawing.

## ABSX

Syntax:
  ABSX

Calculate X=ABS(X) when reading the data.

## ABSY

Syntax:
  ABSY

Calculate Y=ABS(Y) when reading the data.

## ABSR

Syntax:
  ABSR

Calculate R=ABS(R) when reading the data.

## LOGLOG

Syntax:
  LOGLOG

Identical to LOGX LOGY: double log scales.

## SORTX

Syntax:
  SORTX

Sort all values increasing in X value.

## SHRINK_SQUARE

Syntax:
  SHRINK_SQUARE

Make the XMAX and YMAX equal to MIN(XMAX,YMAX) and XMIN and YMIN equal to MAX(XMIN,YMIN).

## EXTEND_SQUARE

Syntax:
  EXTEND_SQUARE

Make the XMAX and YMAX equal to MAX(XMAX,YMAX) and XMIN and YMIN equal to MIN(XMIN,YMIN).

## TORSR

Syntax:
  TORSR

Treat the R value as a torsion angle, and display a "+" "-" or "square" sign depending on whether the torsion angle is "+gauche", "-gauche" or "trans", respectively.

## SPLINE

Syntax:
  SPLINE
Alternative:
  SPLIN

Draw a spline through the points instead of straight lines. Use NSP to specify interpolation factor.

## LINESTYLE

Syntax:
  LINESTYLE integer
Alternative:
  LIN

Draw a line connecting the points.

## NSP

Syntax:
  NSP integer

Interpolation factor for SPLINE. Default value is 10

## DOTSTYLE

Syntax:
  DOTSTYLE integer
Alternative:
  DOT

- For dotstyle=0, no signs are drawn at the data points
- If dotstyle=1 plus-signs are used.
- If dotstyle=2 x-signs are used.
- If dotstyle=3 squares are used.
- If dotstyle=4 diamonds are used.
- If dotstyle=5 upright triangles are used.
- If dotstyle=6 uside-down triangles are used.

the default dotstyle is 1. See also LINESTYLE.

## INTERVAL

Syntax:
  INTERVAL integer

Draw only a sign for one every integer data points.

## NDOT

Syntax:
  NDOT integer
Alternative:
  ND

Specifies the number of the column in the datafile where the dot-type can be found. See DOTSTYLE for the dot-types.

## PEAK

Syntax:
  PEAK integer

Specifies the number of peaks [Maxima in the function Y=F(X)] to determine in the final graph.

## TEXT

Syntax:
  TEXT
Alternative:
  TE text

Give a name to the plot.

## XTEXT

Syntax:
  XTEXT text

Name the X axis.

## YTEXT

Syntax:
  YTEXT text

Name the Y axis.

## ZTEXT

Syntax:
  ZTEXT floatx floaty text
Alternative:
  TEZ

Put a text-string in the plot area. floatx,floaty are a coordinate pair, where 0,0 is the lower left corner of the plot, and 1,1 the top right.

## ER

Syntax:
  ER float

When determining the scale of the plot, ER is used instead of the highest R value. Values thus falling outside the plot will be "clipped".

## DR

Syntax:
  DR float

When determining the scale of the plot, SR+DR is used instead of the highest R value. Values thus falling outside the plot will be "clipped".

## RADMAX

Syntax:
  RADMAX float
Alternative:
  RM

The maximum radius to use for the symbols if the symbol-size is to be dependent on NR. Default 0.30 cm

## NPLX

Syntax:
  NPLX integer

Number of plots in the X direction that will be on the page. See IPL. Default 1.

## NPLY

Syntax:
  NPLY integer

Number of plots in the Y direction that will be on the page. See IPL. Default 1.

## IPL

Syntax:
  IPL integer

The sequence number of the plot. Between 1 and NPLX times NPLY. Default 1.

## NX

Syntax:
  NX integer

The number of the column in the datafile where X can be found. If 0, the linenumber in the file is used as the X coordinate.

## NY

Syntax:
  NY integer

The number of the column in the datafile where Y can be found. If 0, the linenumber in the file is used as the Y coordinate.

## HI

Syntax:
  HI float

The total height of the page in cm.

## WI

Syntax:
  WI float

The total width of the page in cm

## MARGIN

Syntax:
  MARGIN float
Alternative:
  MARG

The percentage of white space to reserve for text around the actual plotting area.

## RAD

Syntax:
  RAD float
Alternative:
  RA

The size of the symbols used in cm. Default 0.05.

## NR

Syntax:
  NR integer

The number of the column in the input file where the R coordinate is to be found. If 0, the linenumber in the file is used as the Y coordinate.

## SMOOTH

Syntax:
  SMOOTH integer

The number of successive datapoints to average to get a more smooth appearance of a saw-tooth plot. This does reduce the number of datapoints by integer-1. Default 1.

## AVER

Syntax:
  AVER integer

The number of successive datapoints to average to reduce the total number of points. This will reduce the number of datapoints by a factor of integer. Default 1.

## X=0

Syntax:
  X=0

Draw the line X=0 into the plotting area.

## X=

Syntax:
  X= float

Draw the line X=float into the plotting area.

## Y=0

Syntax:
  Y=0

Draw the line Y=0 into the plotting area.

## Y=

Syntax:
  Y= float

Draw the line Y=float into the plotting area.

## Y=X

Syntax:
  Y=X

Draw the line Y=X into the plotting area.

## Y=-X

Syntax:
  Y=-X

Draw the line Y=-X into the plotting area.

## NC

Syntax:
  NC integer relation float

Specify a numeric constraint on the datafile. Only lines satisfying this numeric constraint will be used to collect datapoints and to write to a file if CSL is active.

The integer is the column number to be constrained.

The relation is "<" ">" "<>" or "=" (or the fortran like LT, GT, NE, EQ). The float is the comparison value.

Example: "NC 4 LT 5.0" will only select those lines that have the number in column 4 less than 5.0.

## CC

Syntax:
  CC integer relation text

Specify a character constraint on the datafile. Only lines satisfying this numeric constraint will be used to collect datapoints and to write to a file if CSL is active.

The integer is the column number to be constrained.

The relation is "<" ">" "<>" or "=" (or the fortran like LT, GT, NE, EQ). The text is the comparison value.

Example: "CC 4 LT FFF" will only select those lines that have the string in column 4 less than FFF, when compared in ASCII.

## FILE

Syntax:
  FILE name
Alternative:
  FI

Specify the name of the input-file. ".dat" will be appended if no extension is given.

## OUTFILE

Syntax:
  OUTFILE name
Alternative:
  OUTFI

Specify the name of the fig-file. ".fig" will be appended if no extension is given.